/ lang / temp
Temp$
Syntax

    File name = Temp$( [ Name ] )
    File name = Temp( [ Name ] )

Returns a path for a temporary file.

The path has the following form:

`/tmp/gambas.[User id]/[Process id]/[Name].tmp`

where `[User id]` is the user system identifier, `[Process id]` the system identifier of the current process, and `[Name]` the value of the Name argument.

If Name is not specified, then it is replaced by an integer number incremented each time this function is called. This way, you can have file names that are unique.

| All files located in the `/tmp/gambas.[User id]/[Process id]` directory are automatically removed when the Gambas program ends.

### Examples

    PRINT Temp$()
    <hr>/tmp/gambas.501/14593/1.tmp

    PRINT Temp$()
    <hr>/tmp/gambas.501/14593/2.tmp

    PRINT Temp$("version")
    <hr>/tmp/gambas.501/14593/version.tmp

### See also

File & Directory Functions